Skip to main content
GET
Get One Webhook

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

webhook_id
integer
required

integer - required - The ID of the webhook you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,url,content_type,post_field_data,use_default_fields,custom_fields,notes,trigger_object,trigger_on_insert,trigger_on_update,trigger_on_delete,all_fields,fields,public_user,admin_user,api_call,any_event,event_ids,created_at,created_by,updated_at,updated_by"

Response

Get Webhook

name
string
required

The name of the webhook.

Example:

"Sample Webhook"

url
string
required

The URL that data should be sent to.

Example:

"https://www.example.com/webhook"

trigger_object
enum<string>
required

The object that will cause the webhook to trigger.

Available options:
event,
contact,
registrant,
speaker,
sponsor,
session,
session_attendance,
registrant_line_item
Example:

"registrant"

group_id
integer

Identifier for the webhook group.

headers
object[]

Array of headers for the webhook.

Example:
trigger_on_insert
boolean

Trigger the webhook when the object is inserted.

Example:

true

trigger_on_update
boolean

Trigger the webhook when the object is updated.

Example:

true

trigger_on_delete
boolean

Trigger the webhook when the object is deleted.

Example:

false

public_user
boolean

Run the webhook for public users.

Example:

false

admin_user
boolean

Run the webhook for admin users.

Example:

true

api_call
boolean

Trigger the webhook during an API call.

Example:

true

all_fields
boolean

Run the webhook for changes to all fields.

Example:

false

any_event
boolean

Run the webhook for any event.

Example:

false

use_default_fields
boolean

Use default fields for the webhook.

Example:

true

enabled
boolean

Indicates whether the webhook is enabled.

Example:

true

event_ids
integer[]

List of event IDs to trigger the webhook.

Example:
fields
object[]

Array of fields to trigger the webhook when changed.

Example:
content_type
enum<string>

The content type for webhook payloads.

Available options:
json,
post
Example:

"json"

notes
string

Additional notes for the webhook.

Example:

"This webhook is for test purposes."

post_field_data
enum<string>[]

Fields to include in the webhook POST data.

Available options:
id,
value
Example:
custom_fields
object[]

Custom fields for the webhook (type unspecified).

Example: